CMSIS-RTOS: Generic Data Types and Definitions

| CMSIS-RTOS Version 1.03 Real-Time Operating System: API and RTX Reference Implementation.

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Structures
Generic Data Types and Definitions
CMSIS-RTOS API

Data Type Definitions used by the CMSIS-RTOS API functions. More...

## Data Structures

struct | osEvent
| Event structure contains detailed information about an event. More...
union | osEvent.value
union | osEvent.def
struct | os_mailQ

## Description

The Data Type section lists all data types that are used to exchange information with CMSIS-RTOS functions.

## Data Structure Documentation

struct osEvent

Note
  MUST REMAIN UNCHANGED: os_event shall be consistent in every CMSIS-RTOS. However the struct may be extended at the end.

The osEvent structure describes the events returned by CMSIS-RTOS functions.

Data Fields
union osEvent | def | event definition
osStatus | status | status code: event or error information
union osEvent | value | event value

union osEvent.value

Data Fields
void * | p | message or mail as void pointer
int32_t | signals | signal flags
uint32_t | v | message as 32-bit value

union osEvent.def

Data Fields
osMailQId | mail_id | mail id obtained by osMailCreate
osMessageQId | message_id | message id obtained by osMessageCreate

struct os_mailQ

The osEvent structure describes the events returned by CMSIS-RTOS functions.